clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::rename::RenamingAction Class Reference

`#include <RenamingAction.h>`

## Public Member Functions
| RenamingAction (const std::string &NewName, const std::string &PrevName, const std::vector< std::string > &USRs, tooling::Replacements &Replaces, bool PrintLocations=false)
std::unique_ptr< ASTConsumer > | newASTConsumer ()

## Detailed Description

Definition at line 26 of file RenamingAction.h.

## Constructor & Destructor Documentation

clang::rename::RenamingAction::RenamingAction | ( | const std::string & | NewName,
|  | const std::string & | PrevName,
|  | const std::vector< std::string > & | USRs,
|  | tooling::Replacements & | Replaces,
|  | bool | PrintLocations = `false`
| ) |  |
| inline

Definition at line 28 of file RenamingAction.h.

## Member Function Documentation

std::unique_ptr< ASTConsumer > clang::rename::RenamingAction::newASTConsumer | ( |  | ) |

Definition at line 84 of file RenamingAction.cpp.

References NewName(), and PrintLocations().

The documentation for this class was generated from the following files:

- RenamingAction.h
- RenamingAction.cpp